Subject: RE: [Sipping] Doubt regarding B2BUA

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Tue, 2 Aug 2005 11:19:26 +0100

I agree with Dale to a certain extent. RFC 3261 defines forking in terms of something that occurs at a proxy. 
 
I agree it is possible for a UAS (forming part of a B2BUA) to generate responses back into the system such that the UAC sees it as a request that got forked, but this UAS behaviour is not described in RFC 3261. 
 
regards
 
Keith
 
Keith Drage 
Lucent Technologies 
[email-masked] 
tel: +44 1793 776249 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Arunachalam Venkatraman (arunvenk)
Sent: 01 August 2005 20:20
To: Dale Worley; [email-masked]
Subject: RE: [Sipping] Doubt regarding B2BUA

I would argue that forking is possible at a B2BUA. It is true that a B2BUA will have to generate two (or more) new calls due to an incoming request. It could then forward the responses (status code and bodies) to these requests as responses to the original incoming call by using unique tags on the To headers of the responses.
Forking in RFC3261 terms is defined by means of a unique dialog leg and the To tag is the way for a UAC to detect that forking has occurred.

  _____  

From: [email-masked] on behalf of Dale Worley
Sent: Mon 8/1/2005 2:08 PM
To: [email-masked]
Subject: RE: [Sipping] Doubt regarding B2BUA

> From: Amarendra Kumar
>
> Can forking be implemented in B2BUA?
> I mean to say can B2B do forking like Proxy servers on
> receiving the request.

No, it cannot.  It can do similar things, such as being the server for one
incoming dialog, and creating two outgoing dialogs in response.  But it
cannot fork in the sense of RFC 3261 because the connections "on each side"
of the B2BUA are *different* dialogs and thus *must* have different
Call-IDs.  Forking is within a dialog, and all the messages involved have
the same Call-ID.

Dale

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping <https://www1.ietf.org/mailman/listinfo/sipping> 
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP